.my-messages {
  position: relative;
}

.my-messages.ng-active {
  /* messages are showing */
}

.my-messages.ng-inactive {
  /* messages are not showing */
}

.some-message {
  position: absolute;
  opacity: 1;
  transition: .3s linear all;
  font-size: .8em;
}

.some-message.ng-enter.ng-enter-active {
  opacity: 1;
  top: 0;
}

.some-message.ng-enter {
  opacity: 0;
  top: -20px;
}

.some-message.ng-leave {
  opacity: 1;
  top: 0;
}

.some-message.ng-leave-active {
  opacity: 0;
  top: 20px;
}